*:not(head, script, svg, svg *),
*:not(head, script, svg, svg *)::before,
*:not(head, script, svg, svg *)::after {
  box-sizing: border-box;
}

body,
html {
  overflow: hidden;
}

body {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100vw;
  height: 100vh;
  overflow: hidden;
  margin: 0;
  background: black;
  color: white;
}

picture {
  position: relative;
  width: 100%;
  height: 100%;
  overflow: hidden;
}

picture img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

picture::before {
  position: absolute;
  top: 0;
  left: 0;
  width: 25%;
  height: 25%;
  background-color: transparent;
  content: "";
  animation: a 20s ease infinite;
}
.decoration
{
    text-decoration: none;
    color: white;
}


@keyframes a {
  0% {
    width: 25%;
    height: 25%;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    backdrop-filter: blur(2vmin) hue-rotate(0deg);
    -webkit-backdrop-filter: blur(2vmin) hue-rotate(0deg);
  }
  12.49% {
    left: 0;
  }
  12.5% {
    width: 100%;
    left: unset;
    backdrop-filter: blur(0vmin) hue-rotate(150deg);
    -webkit-backdrop-filter: blur(0vmin) hue-rotate(150deg);
  }
  25% {
    width: 25%;
    height: 25%;
    backdrop-filter: blur(2vmin) hue-rotate(300deg);
    -webkit-backdrop-filter: blur(2vmin) hue-rotate(300deg);
  }
  37.49% {
    top: 0;
    bottom: 0;
  }
  37.5% {
    top: unset;
    height: 100%;
    backdrop-filter: blur(0vmin) hue-rotate(150deg);
    -webkit-backdrop-filter: blur(0vmin) hue-rotate(150deg);
  }
  50% {
    width: 25%;
    height: 25%;
    backdrop-filter: blur(2vmin) hue-rotate(0deg);
    -webkit-backdrop-filter: blur(2vmin) hue-rotate(0deg);
  }
  62.49% {
    left: unset;
    right: 0;
  }
  62.5% {
    right: unset;
    width: 100%;
    height: 100%;
    backdrop-filter: blur(0vmin) hue-rotate(150deg);
    -webkit-backdrop-filter: blur(0vmin) hue-rotate(150deg);
  }
  74.9% {
    top: unset;
    bottom: 0;
  }
  75% {
    width: 25%;
    height: 25%;
    backdrop-filter: blur(2vmin) hue-rotate(300deg);
    -webkit-backdrop-filter: blur(2vmin) hue-rotate(300deg);
  }
  87.49% {
    top: unset;
    bottom: 0;
  }
  87.5% {
    height: 100%;
    top: 0;
    backdrop-filter: blur(0vmin) hue-rotate(150deg);
    -webkit-backdrop-filter: blur(0vmin) hue-rotate(150deg);
  }
  100% {
    width: 25%;
    height: 25%;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    backdrop-filter: blur(2vmin) hue-rotate(0deg);
    -webkit-backdrop-filter: blur(2vmin) hue-rotate(0deg);
  }
}

picture::after {
  position: absolute;
  top: 0;
  left: 0;
  width: 25%;
  height: 25%;
  background-color: transparent;
  content: "";
  animation: b 10s ease infinite;
}

@keyframes b {
  0% {
    width: 25%;
    height: 25%;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    backdrop-filter: blur(2vmin) hue-rotate(0deg);
    -webkit-backdrop-filter: blur(2vmin) hue-rotate(0deg);
  }
  12.49% {
    top: 0;
  }
  12.5% {
    height: 100%;
    top: unset;
    backdrop-filter: blur(0vmin) hue-rotate(150deg);
    -webkit-backdrop-filter: blur(0vmin) hue-rotate(150deg);
  }
  25% {
    width: 25%;
    height: 25%;
    backdrop-filter: blur(2vmin) hue-rotate(300deg);
    -webkit-backdrop-filter: blur(2vmin) hue-rotate(300deg);
  }
  37.49% {
    left: 0;
    right: 0;
  }
  37.5% {
    left: unset;
    width: 100%;
    backdrop-filter: blur(0vmin) hue-rotate(150deg);
    -webkit-backdrop-filter: blur(0vmin) hue-rotate(150deg);
  }
  50% {
    width: 25%;
    height: 25%;
    backdrop-filter: blur(2vmin) hue-rotate(0deg);
    -webkit-backdrop-filter: blur(2vmin) hue-rotate(0deg);
  }
  62.49% {
    top: unset;
    bottom: 0;
  }
  62.5% {
    top: 0;
    height: 100%;
    backdrop-filter: blur(0vmin) hue-rotate(150deg);
    -webkit-backdrop-filter: blur(0vmin) hue-rotate(150deg);
  }
  74.9% {
    bottom: unset;
    right: 0;
  }
  75% {
    width: 25%;
    height: 25%;
    left: unset;
    backdrop-filter: blur(2vmin) hue-rotate(300deg);
    -webkit-backdrop-filter: blur(2vmin) hue-rotate(300deg);
  }
  87.49% {
    left: unset;
    right: 0;
  }
  87.5% {
    width: 100%;
    left: 0;
    backdrop-filter: blur(0vmin) hue-rotate(150deg);
    -webkit-backdrop-filter: blur(0vmin) hue-rotate(150deg);
  }
  100% {
    width: 25%;
    height: 25%;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    backdrop-filter: blur(2vmin) hue-rotate(0deg);
    -webkit-backdrop-filter: blur(2vmin) hue-rotate(0deg);
  }
}

figure {
  position: absolute;
  width: 100%;
  max-width: 700px;
  border: 1px solid rgba(255, 255, 255, 0.2);
  padding: 30px;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: space-between;
  background-color: rgba(0, 0, 0, 0.6);
  z-index: 1;
  animation: c 10s linear infinite;
}

@keyframes c {
  from {
    backdrop-filter: blur(2vmin) hue-rotate(0deg);
    -webkit-backdrop-filter: blur(2vmin) hue-rotate(0deg);
  }
  to {
    backdrop-filter: blur(2vmin) hue-rotate(360deg);
    -webkit-backdrop-filter: blur(2vmin) hue-rotate(360deg);
  }
}

figure::after {
  position: absolute;
  bottom: -10px;
  right: -10px;
  width: 60px;
  height: 60px;
  background-image: linear-gradient(
    320deg,
    #ff20fb,
    #f424ff,
    #d42dff,
    #b139ff,
    #9742ff,
    #8d46ff
  );
  content: "";
  z-index: -1;
  animation: d 5s linear infinite;
}

@keyframes d {
  from {
    filter: hue-rotate(0deg) brightness(1.5);
    transform: rotateZ(0deg);
    border-radius: 0;
  }
  50% {
    border-radius: 49%;
    filter: hue-rotate(180deg) brightness(1.5);
  }
  to {
    filter: hue-rotate(360deg) brightness(1.5);
    transform: rotateZ(360deg);
    border-radius: 0;
  }
}

h1 {
  font-family: "Major Mono Display", monospace;
  font-size: 40px;
  line-height: 1.5cap;
  text-wrap: balance;
  color: white;
  margin-bottom: 20px;
}

figcaption {
  font-family: "Figtree", sans-serif;
  font-size: 18px;
  font-weight: 400;
  line-height: 2cap;
  text-wrap: pretty;
  padding-left: 30px;
  border-left: 1px solid white;
  color: #bbb;
}

@media (max-width: 780px) {
  figure {
    max-width: 90%;
  }
}

@media (max-width: 600px) {
  h1 {
    font-size: 32px;
  }
  figcaption {
    font-size: 16px;
  }
}
